DiskStoreType (Apache Geode 1.15.4)

org.apache.geode.cache.configuration

## Class DiskStoreType

- java.lang.Object
- - org.apache.geode.cache.configuration.CacheElement
  - - org.apache.geode.cache.configuration.DiskStoreType

- All Implemented Interfaces:
    Serializable, Identifiable<String>

      @Experimental
      public class DiskStoreType
      extends CacheElement

  A "disk-store" element specifies a DiskStore for persistence.

  Java class for disk-store-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="disk-store-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="disk-dirs" type="{http://geode.apache.org/schema/cache}disk-dirs-type" minOccurs="0"/>
             </sequence>
             <attribute name="name" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="auto-compact" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="compaction-threshold" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="allow-force-compaction" type="{http://www.w3.org/2001/XMLSchema}boolean" />
             <attribute name="max-oplog-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="time-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="write-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="queue-size" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="disk-usage-warning-percentage" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="disk-usage-critical-percentage" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Boolean` | `allowForceCompaction`
    `protected Boolean` | `autoCompact`
    `protected String` | `compactionThreshold`
    `protected DiskDirsType` | `diskDirs`
    `protected String` | `diskUsageCriticalPercentage`
    `protected String` | `diskUsageWarningPercentage`
    `protected String` | `maxOplogSize`
    `protected String` | `name`
    `protected String` | `queueSize`
    `protected String` | `timeInterval`
    `protected String` | `writeBufferSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiskStoreType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCompactionThreshold()` Gets the value of the compactionThreshold property.
    `List<DiskDirType>` | `getDiskDirs()`
    `String` | `getDiskUsageCriticalPercentage()` Gets the value of the diskUsageCriticalPercentage property.
    `String` | `getDiskUsageWarningPercentage()` Gets the value of the diskUsageWarningPercentage property.
    `String` | `getId()` Gets the identifier uniquely identifying this Object instance.
    `String` | `getMaxOplogSize()` Gets the value of the maxOplogSize property.
    `String` | `getName()` Gets the value of the name property.
    `String` | `getQueueSize()` Gets the value of the queueSize property.
    `String` | `getTimeInterval()` Gets the value of the timeInterval property.
    `String` | `getWriteBufferSize()` Gets the value of the writeBufferSize property.
    `Boolean` | `isAllowForceCompaction()` Gets the value of the allowForceCompaction property.
    `Boolean` | `isAutoCompact()` Gets the value of the autoCompact property.
    `void` | `setAllowForceCompaction(Boolean value)` Sets the value of the allowForceCompaction property.
    `void` | `setAutoCompact(Boolean value)` Sets the value of the autoCompact property.
    `void` | `setCompactionThreshold(String value)` Sets the value of the compactionThreshold property.
    `void` | `setDiskDirs(List<DiskDirType> diskDirs)`
    `void` | `setDiskUsageCriticalPercentage(String value)` Sets the value of the diskUsageCriticalPercentage property.
    `void` | `setDiskUsageWarningPercentage(String value)` Sets the value of the diskUsageWarningPercentage property.
    `void` | `setMaxOplogSize(String value)` Sets the value of the maxOplogSize property.
    `void` | `setName(String value)` Sets the value of the name property.
    `void` | `setQueueSize(String value)` Sets the value of the queueSize property.
    `void` | `setTimeInterval(String value)` Sets the value of the timeInterval property.
    `void` | `setWriteBufferSize(String value)` Sets the value of the writeBufferSize property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.lang.Identifiable

      `exists, find, remove`

- - ### Field Detail

    - #### diskDirs

          protected DiskDirsType diskDirs

    - #### name

          protected String name

    - #### autoCompact

          protected Boolean autoCompact

    - #### compactionThreshold

          protected String compactionThreshold

    - #### allowForceCompaction

          protected Boolean allowForceCompaction

    - #### maxOplogSize

          protected String maxOplogSize

    - #### timeInterval

          protected String timeInterval

    - #### writeBufferSize

          protected String writeBufferSize

    - #### queueSize

          protected String queueSize

    - #### diskUsageWarningPercentage

          protected String diskUsageWarningPercentage

    - #### diskUsageCriticalPercentage

          protected String diskUsageCriticalPercentage

  - ### Constructor Detail

    - #### DiskStoreType

          public DiskStoreType()

  - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `Identifiable`
      Gets the identifier uniquely identifying this Object instance.

      Returns:
        an identifier uniquely identifying this Object.

    - #### getName

          public String getName()

      Gets the value of the name property. possible object is `String`
      Returns:
        the name.

    - #### getDiskDirs

          public List<DiskDirType> getDiskDirs()

    - #### setDiskDirs

          public void setDiskDirs(List<DiskDirType> diskDirs)

    - #### setName

          public void setName(String value)

      Sets the value of the name property. allowed object is `String`
      Parameters:
        `value` - the name.

    - #### isAutoCompact

          public Boolean isAutoCompact()

      Gets the value of the autoCompact property. possible object is `Boolean`
      Returns:
        true if auto compaction is enabled, false otherwise.

    - #### setAutoCompact

          public void setAutoCompact(Boolean value)

      Sets the value of the autoCompact property. allowed object is `Boolean`
      Parameters:
        `value` - enables or disables auto compaction.

    - #### getCompactionThreshold

          public String getCompactionThreshold()

      Gets the value of the compactionThreshold property. possible object is `String`
      Returns:
        the compaction threshold.

    - #### setCompactionThreshold

          public void setCompactionThreshold(String value)

      Sets the value of the compactionThreshold property. allowed object is `String`
      Parameters:
        `value` - the compaction threshold.

    - #### isAllowForceCompaction

          public Boolean isAllowForceCompaction()

      Gets the value of the allowForceCompaction property. possible object is `Boolean`
      Returns:
        true is force compaction is allowed, false if not.

    - #### setAllowForceCompaction

          public void setAllowForceCompaction(Boolean value)

      Sets the value of the allowForceCompaction property. allowed object is `Boolean`
      Parameters:
        `value` - allows or disallows force compaction.

    - #### getMaxOplogSize

          public String getMaxOplogSize()

      Gets the value of the maxOplogSize property. possible object is `String`
      Returns:
        the maximum oplog size.

    - #### setMaxOplogSize

          public void setMaxOplogSize(String value)

      Sets the value of the maxOplogSize property. allowed object is `String`
      Parameters:
        `value` - the maximum oplog size.

    - #### getTimeInterval

          public String getTimeInterval()

      Gets the value of the timeInterval property. possible object is `String`
      Returns:
        the time interval.

    - #### setTimeInterval

          public void setTimeInterval(String value)

      Sets the value of the timeInterval property. allowed object is `String`
      Parameters:
        `value` - the time interval.

    - #### getWriteBufferSize

          public String getWriteBufferSize()

      Gets the value of the writeBufferSize property. possible object is `String`
      Returns:
        the write-buffer size.

    - #### setWriteBufferSize

          public void setWriteBufferSize(String value)

      Sets the value of the writeBufferSize property. allowed object is `String`
      Parameters:
        `value` - the write-buffer size.

    - #### getQueueSize

          public String getQueueSize()

      Gets the value of the queueSize property. possible object is `String`
      Returns:
        the queue size.

    - #### setQueueSize

          public void setQueueSize(String value)

      Sets the value of the queueSize property. allowed object is `String`
      Parameters:
        `value` - the queue size.

    - #### getDiskUsageWarningPercentage

          public String getDiskUsageWarningPercentage()

      Gets the value of the diskUsageWarningPercentage property. possible object is `String`
      Returns:
        the disk usage warning percentage.

    - #### setDiskUsageWarningPercentage

          public void setDiskUsageWarningPercentage(String value)

      Sets the value of the diskUsageWarningPercentage property. allowed object is `String`
      Parameters:
        `value` - the disk usage warning percentage.

    - #### getDiskUsageCriticalPercentage

          public String getDiskUsageCriticalPercentage()

      Gets the value of the diskUsageCriticalPercentage property. possible object is `String`
      Returns:
        the disk usage critical percentage.

    - #### setDiskUsageCriticalPercentage

          public void setDiskUsageCriticalPercentage(String value)

      Sets the value of the diskUsageCriticalPercentage property. allowed object is `String`
      Parameters:
        `value` - the disk usage critical percentage.